Cancel transfer
Relevant webhooks
For this endpoint be sure you have registered for this webhook:
API reference
Cancels a wire transfer payment.
Endpoint: /wires/v1/payments/{id}/cancel
POST
https://sandbox.crbcos.com/wires/v1/payments/{id}/cancel
Path Parameters
- idstringrequiredDescription
Response
- idstringDescription
- accountNumberstringDescription
- coreTransactionIdstringDescription
- referenceIdstringDescription
- fedBatchIdstringDescription
- fedBatchSequenceintegerDescription
- directionstringDescription
- paymentTypestringDescription
- sourcestringDescription
- statusstringDescription
- postingstringDescription
- rejectionReasonstringDescription
- blockedReasonstringDescription
- partnerAuthorizationstringDescription
- authorizedAtstringDescription
- authorizedByIdstringDescription
- authorizedByNamestringDescription
- partnerAuthorization2stringDescription
- authorizedAt2stringDescription
- authorizedById2stringDescription
- authorizedByName2stringDescription
- amountintegerDescription
- currencystringDescription
- purposestringDescription
- imadstringDescription
- omadstringDescription
- businessFunctionCodestringDescription
- typeCodestringDescription
- senderRoutingNumberstringDescription
- senderNamestringDescription
- senderReferencestringDescription
- receiverRoutingNumberstringDescription
- receiverNamestringDescription
- originatingFiobjectDescription
- idCodestringDescription
- identifierstringDescription
- namestringDescription
- postalAddressInfoobjectDescription
- adrLine1stringrequiredDescription
- adrLine2stringDescription
- countrystringrequiredDescription
- statestringDescription
- postalCodestringDescription
- citystringrequiredDescription
- address1stringDescription
- address2stringDescription
- address3stringDescription
- originatorobjectDescription
- idCodestringDescription
- identifierstringDescription
- namestringDescription
- postalAddressInfoobjectDescription
- adrLine1stringrequiredDescription
- adrLine2stringDescription
- countrystringrequiredDescription
- statestringDescription
- postalCodestringDescription
- citystringrequiredDescription
- address1stringDescription
- address2stringDescription
- address3stringDescription
- intermediaryFiobjectDescription
- idCodestringDescription
- identifierstringDescription
- namestringDescription
- postalAddressInfoobjectDescription
- adrLine1stringrequiredDescription
- adrLine2stringDescription
- countrystringrequiredDescription
- statestringDescription
- postalCodestringDescription
- citystringrequiredDescription
- address1stringDescription
- address2stringDescription
- address3stringDescription
- beneficiaryFiobjectDescription
- idCodestringDescription
- identifierstringDescription
- namestringDescription
- postalAddressInfoobjectDescription
- adrLine1stringrequiredDescription
- adrLine2stringDescription
- countrystringrequiredDescription
- statestringDescription
- postalCodestringDescription
- citystringrequiredDescription
- address1stringDescription
- address2stringDescription
- address3stringDescription
- beneficiaryobjectDescription
- idCodestringDescription
- identifierstringDescription
- namestringDescription
- postalAddressInfoobjectDescription
- adrLine1stringrequiredDescription
- adrLine2stringDescription
- countrystringrequiredDescription
- statestringDescription
- postalCodestringDescription
- citystringrequiredDescription
- address1stringDescription
- address2stringDescription
- address3stringDescription
- originatorToBeneficiary1stringDescription
- beneficiaryReferencestringDescription
- receiptDatestringDescription
- receiptTimestringDescription
- wasReversedbooleanDescription
- isInternationalbooleanDescription
- clientIdentifierstringDescription
- createdAtstringDescription
- releasedAtstringDescription
- processedAtstringDescription
- canceledAtstringDescription
- rejectedAtstringDescription
- blockedAtstringDescription
- effectiveDatestringDescription
- completedAtstringDescription
- postedAtstringDescription
- originalPaymentIdstringDescription
- partnerIdstringDescription
- productIdstringDescription
- lastModifiedAtstringDescription
- postingCodestringDescription
curl
curl --location --globoff --request POST 'https://sandbox.crbcos.com/wires/v1/payments/{id}/cancel' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-key: 0b700631-e844-464d-a747-ecb65c15d2c5'nodejs
var https = require('follow-redirects').https;
var fs = require('fs');
var options = {
'method': 'POST',
'hostname': 'sandbox.crbcos.com',
'path': '/wires/v1/payments/{id}/cancel',
'headers': {
'Authorization': 'Bearer <token>',
'Content-Type': 'application/json',
'Idempotency-key': '0b700631-e844-464d-a747-ecb65c15d2c5'
},
'maxRedirects': 20
};
var req = https.request(options, function (res) {
var chunks = [];
res.on("data", function (chunk) {
chunks.push(chunk);
});
res.on("end", function (chunk) {
var body = Buffer.concat(chunks);
console.log(body.toString());
});
res.on("error", function (error) {
console.error(error);
});
});
var postData = "\n\n";
req.write(postData);
req.end();python
import requests
url = "https://sandbox.crbcos.com/wires/v1/payments/{id}/cancel"
payload = "\n\n"
headers = {
'Authorization': 'Bearer <token>',
'Content-Type': 'application/json',
'Idempotency-key': '0b700631-e844-464d-a747-ecb65c15d2c5'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
ruby
require "uri"
require "net/http"
url = URI("https://sandbox.crbcos.com/wires/v1/payments/{id}/cancel")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = "Bearer <token>"
request["Content-Type"] = "application/json"
request["Idempotency-key"] = "0b700631-e844-464d-a747-ecb65c15d2c5"
request.body = "\n\n"
response = https.request(request)
puts response.read_body
go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.crbcos.com/wires/v1/payments/{id}/cancel"
method := "POST"
payload := strings.NewReader(`
`)
client := &http.Client {
}
req, err := http.NewRequest(method, url, payload)
if err != nil {
fmt.Println(err)
return
}
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
req.Header.Add("Idempotency-key", "0b700631-e844-464d-a747-ecb65c15d2c5")
res, err := client.Do(req)
if err != nil {
fmt.Println(err)
return
}
defer res.Body.Close()
body, err := io.ReadAll(res.Body)
if err != nil {
fmt.Println(err)
return
}
fmt.Println(string(body))
}200
{
"id": "932ab92c-6cf6-4af3-b9fb-b288017529d7",
"accountNumber": "2330604998",
"coreTransactionId": "5d7b8635-1bc6-4a7b-a1fa-b288017529d7",
"referenceId": "S65BRYJR29S",
"direction": "Outbound",
"paymentType": "Transfer",
"source": "Api",
"status": "Canceled",
"posting": "Posted",
"partnerAuthorization": "Canceled",
"partnerAuthorization2": "Canceled",
"enteredById": "3Qtu9nljXwHcd33wn0XxmRbR5P7fxX0z",
"amount": 5000,
"currency": "usd",
"purpose": "Testing",
"businessFunctionCode": "CTR",
"typeCode": "1000",
"senderRoutingNumber": "021214891",
"senderName": "CROSS RIVER BANK",
"senderReference": "S65BRYJR29S",
"receiverRoutingNumber": "026009593",
"receiverName": "BK AMER NYC",
"originatingFi": {
"idCode": "F",
"identifier": "021214891",
"name": "CRB 21852936",
"address1": "400 KELBY STREET",
"address2": "FORT LEE, NJ",
"address3": "US"
},
"originator": {
"idCode": "D",
"identifier": "2330604998",
"name": "PETER GRIFFIN",
"address1": "31 SPOONER ST",
"address2": "",
"address3": "QUAHOG RI 33156 US"
},
"beneficiaryFi": {
"idCode": "F",
"identifier": "026009593",
"name": "BANK OF AMERICA, N.A., NY",
"address1": "NEW YORK, NY"
},
"beneficiary": {
"idCode": "D",
"identifier": "316840684",
"name": "Stewie Griffin",
"address1": "31 Spooner St",
"address2": "Quahog RI 33030",
"address3": "US"
},
"originatorToBeneficiary1": "HAPPY BIRTHDAY",
"beneficiaryReference": "GIFT",
"wasReversed": false,
"isInternational": false,
"clientIdentifier": "05d73490-65ac-4725-98b6-cbf8252e52fe",
"createdAt": "2025-02-18T17:38:38.79-05:00",
"canceledAt": "2025-02-18T17:38:46.6595381-05:00",
"effectiveDate": "2025-02-18T00:00:00-05:00",
"postedAt": "2025-02-18T17:38:45.013-05:00",
"originalPaymentId": "932ab92c-6cf6-4af3-b9fb-b288017529d7",
"partnerId": "ba9d0234-26e9-43a2-9070-aedd0108eadb",
"productId": "2733f398-b44a-4f0c-9064-b1b700e619af",
"lastModifiedAt": "2025-02-18T17:38:46.6595381-05:00",
"postingCode": "OK",
"investigated": false,
"isoPaymentType": "CustomerCreditTransfer"
}